#include <bits/stdc++.h>


using namespace std;
ifstream f1("taoxau.inp");
ifstream f2("taoxau.out");
int n;
string s;
void kq()
{ int i;
    for ( i=0;i<n;i++)
    { f2<<s[i];}
    f2<<endl;
}
bool check ()
  {   int i,kt=0;
      for (i=1;i<n;i++) {if (s[i]==s[i-1]&&s[i]=='B') {kt=1; break;}}
      if (kt==1)return false;
      else return true;}
void xau(int i)
{ int j;
    for ( j=65;j<=66;j++)
    {
        s[i]=char(j);
        if (i==n-1) {if (check()) kq();}
        else {xau(i+1); }
    }
}
int main()
{
    f1>>n;
    xau(0);

   return 0;
}}
